import logo from './logo.svg';
import {BrowserRouter,Routes,Route, Link} from "react-router-dom";
import './App.css';
import Home from './comps/home';
import About from './comps/about';
import Gallery from './comps/gallery';

function App() {
  return (
    <BrowserRouter>
      <header className='container'>
        <Link to="/" className='me-2'>Home</Link>  
        <Link to="/about" className='me-2'>About</Link>  
        <Link to="/gallery" className='me-2'>Gallery</Link>  
      </header>
      <Routes>
        <Route index element={<Home />} />
        <Route path="/about" element={<About />} />
        <Route path="/gallery" element={<Gallery />} />
        <Route path="/*" element={
        <div className='container text-danger'>
          <h2>Page 404, not found!</h2>
        </div>
        } />
      </Routes>
    </BrowserRouter>
  );
}

export default App;
